Page MenuHomePhabricator

File searching behavior affecting namespace bar
Closed, ResolvedPublic3 Story Points

Description

Current situation:
There was one scenario that was not described in T189130: Allow an empty namespace bar: When you select "search for filetype" and then select the "All" namespace preference twice, the "File" namespace is still in the namespace bar. You are able to remove it in the UI, but "under the hood" it will still be used and re-added as soon as you select another namespace.

Task:
Make the behavior consistent with the default namespace behavior as described in [T189130].

Acceptance Criteria:

  • When "all" is selected and then deselected, the namespace tag should be visually removed but it stays active in the background as long as filetype is not "select a file type".
  • As long as filetype is anything other than "select a filetype" add the namespace tag back after conducting the search.
  • if the namespace tag gets removed after filetype is empty, don't add it back after search.

Event Timeline

Restricted Application added a project: TCB-Team. · View Herald TranscriptApr 5 2018, 1:01 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

The current behavior avoids baffling the user with empty search results, so I'm in favor of some automatisms and hand-holding, even if that means that the "All" preset behavior is inconsistent. Solution 1) would be my preferred one.

Charlie_WMDE set the point value for this task to 3.
thiemowmde moved this task from Incoming to Advanced Search on the TCB-Team board.Jun 12 2018, 4:07 PM
Lea_WMDE closed this task as Resolved.Oct 11 2018, 8:52 AM